Teď jste offline a čekáte, až se znova připojí internet.

Oprava: Chybová zpráva při pokusu o otevření nebo vytvoření chráněného dokumentu XPS pomocí prohlížeče XPS, který je součástí rozhraní.NET Framework 3.0: "Nelze otevřít tento dokument, protože vypršela platnost vašeho oprávnění"

Důležité: Tento článek byl přeložen pomocí software společnosti Microsoft na strojový překlad, ne profesionálním překladatelem. Společnost Microsoft nabízí jak články přeložené překladatelem, tak články přeložené pomocí software na strojový překlad, takže všechny články ve Znalostní databázi (Knowledge Base) jsou dostupné v češtině. Překlad pomocí software na strojový překlad ale není bohužel vždy dokonalý. Obsahuje chyby ve skloňování slov, skladbě vět, nebo gramatice, podobně jako když cizinci dělají chyby při mluvení v češtině. Společnost Microsoft není právně zodpovědná za nepřesnosti, chyby nebo škody vzniklé chybami v překladu, nebo při použití nepřesně přeložených instrukcí v článku zákazníkem. Společnost Microsoft aktualizuje software na strojový překlad, aby byl počet chyb omezen na minimum.

Projděte si také anglickou verzi článku:932471
Příznaky
Při pokusu o otevření nebo vytvoření chráněného dokumentu XML Paper Specification (XPS) pomocí prohlížeč XPS, který je součástí Microsoft .NET Framework 3.0, zobrazí se následující chybová zpráva:
Tento dokument nelze otevřít, protože vypršela platnost vašeho oprávnění.
Poznámka: Prohlížeč XPS je součást Microsoft .NET Framework 3.0. Rozhraní.NET Framework 3.0 je součástí systému Windows Vista.
Příčina
Prohlížeč XPS používá funkci Rights Management Services (RMS) v systému Windows vytvořit a otevřít dokumenty XPS chráněné RMS. RMS používá soubor manifestu XML k uložení informací o konfiguraci.

Problém popsaný v části "Příznaky" dochází, protože soubor manifestu nastaví datum vypršení platnosti nesprávná funkce RMS prohlížeč XPS. Pokud je pozdější než datum vypršení platnosti souboru manifestu nastaví datum systému, obdržíte chybovou zprávu, která je uvedena v "příznaky". Například pokud soubor manifestu nastaví datum vypršení platnosti 31. prosince 2006 a systémové datum je pozdější než 31. prosince 2006 tomuto problému dochází.
Řešení

Informace o opravě hotfix

Oprava hotfix je zahrnuta v .NET Framework 3.5 a .NET Framework 3.5 Service Pack 1. Tento problém vyřešit okamžitě, nainstalujte nejnovější verzi rozhraní .NET Framework pomocí služby Windows Update. Nebo nejnovější aktualizaci service pack stáhnout z následujícího webu společnosti Microsoft:
Prohlášení
Společnost Microsoft potvrzuje, že se jedná o problém v produktech této společnosti, které jsou uvedeny v části Informace v tomto článku jsou určeny pro produkt.
Další informace
Další informace o terminologii používané v aktualizacích softwaru naleznete v následujícím článku znalostní báze Microsoft Knowledge Base:
824684Popis standardní terminologie používané při popisu aktualizací softwaru společnosti Microsoft
Platnost oprávnění dokumentu prohlížeč RM XPS Rights Management RMS XPS

Upozornění: Tento článek je přeložený automaticky

Vlastnosti

ID článku: 932471 - Poslední kontrola: 09/10/2008 15:16:18 - Revize: 2.0

Microsoft .NET Framework 3.0, Microsoft .NET Framework 3.5 Service Pack 1

  • kbmt kbvistasp1fix kbhotfixserver kbqfe kbpubtypekc KB932471 KbMtcs
Váš názor
/html>>